{
  "schema": "dwd",
  "table": "dwd_groupbuy_redemption",
  "ods_source": "group_buy_redemption_records",
  "columns": [
    {
      "name": "redemption_id",
      "data_type": "bigint",
      "is_nullable": false,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2957924029615941（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】group_buy_redemption_records - id。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - id。",
      "ordinal_position": 1
    },
    {
      "name": "tenant_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2790683160709957（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】group_buy_redemption_records - tenant_id。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - tenant_id。",
      "ordinal_position": 2
    },
    {
      "name": "site_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2790685415443269（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】group_buy_redemption_records - site_id。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - site_id。",
      "ordinal_position": 3
    },
    {
      "name": "table_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2793003705192517（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】group_buy_redemption_records - table_id。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - table_id。",
      "ordinal_position": 4
    },
    {
      "name": "tenant_table_area_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2791960001957765（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】group_buy_redemption_records - tenant_table_area_id。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - tenant_table_area_id。",
      "ordinal_position": 5
    },
    {
      "name": "table_charge_seconds",
      "data_type": "integer",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】数量/时长字段，用于统计与计量。     【示例】3600（数量/时长字段，用于统计与计量）。     【ODS来源】group_buy_redemption_records - table_charge_seconds。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - table_charge_seconds。",
      "ordinal_position": 6
    },
    {
      "name": "order_trade_no",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】明细字段，用于记录事实取值。     【示例】2957858167230149（明细字段，用于记录事实取值）。     【ODS来源】group_buy_redemption_records - order_trade_no。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - order_trade_no。",
      "ordinal_position": 7
    },
    {
      "name": "order_settle_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2957922914357125（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】group_buy_redemption_records - order_settle_id。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - order_settle_id。",
      "ordinal_position": 8
    },
    {
      "name": "order_coupon_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2957858168229573（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】group_buy_redemption_records - order_coupon_id。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - order_coupon_id。",
      "ordinal_position": 9
    },
    {
      "name": "coupon_origin_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2957858168229573（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】group_buy_redemption_records - coupon_origin_id。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - coupon_origin_id。",
      "ordinal_position": 10
    },
    {
      "name": "promotion_activity_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2957858166460101（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】group_buy_redemption_records - promotion_activity_id。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - promotion_activity_id。",
      "ordinal_position": 11
    },
    {
      "name": "promotion_coupon_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】标识类 ID 字段，用于关联/定位相关实体。     【示例】2798727423528005（标识类 ID 字段，用于关联/定位相关实体）。     【ODS来源】group_buy_redemption_records - promotion_coupon_id。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - promotion_coupon_id。",
      "ordinal_position": 12
    },
    {
      "name": "order_coupon_channel",
      "data_type": "integer",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】明细字段，用于记录事实取值。     【示例】1（明细字段，用于记录事实取值）。     【ODS来源】group_buy_redemption_records - order_coupon_channel。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - order_coupon_channel。",
      "ordinal_position": 13
    },
    {
      "name": "ledger_unit_price",
      "data_type": "numeric",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】金额字段，用于计费/结算/核算等金额计算。     【示例】29.9（金额字段，用于计费/结算/核算等金额计算）。     【ODS来源】group_buy_redemption_records - ledger_unit_price。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - ledger_unit_price。",
      "ordinal_position": 14
    },
    {
      "name": "ledger_count",
      "data_type": "integer",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】数量/时长字段，用于统计与计量。     【示例】3600（数量/时长字段，用于统计与计量）。     【ODS来源】group_buy_redemption_records - ledger_count。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - ledger_count。",
      "ordinal_position": 15
    },
    {
      "name": "ledger_amount",
      "data_type": "numeric",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】金额字段，用于计费/结算/核算等金额计算。     【示例】48.0（金额字段，用于计费/结算/核算等金额计算）。     【ODS来源】group_buy_redemption_records - ledger_amount。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - ledger_amount。",
      "ordinal_position": 16
    },
    {
      "name": "coupon_money",
      "data_type": "numeric",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】金额字段，用于计费/结算/核算等金额计算。     【示例】48.0（金额字段，用于计费/结算/核算等金额计算）。     【ODS来源】group_buy_redemption_records - coupon_money。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - coupon_money。",
      "ordinal_position": 17
    },
    {
      "name": "promotion_seconds",
      "data_type": "integer",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】数量/时长字段，用于统计与计量。     【示例】3600（数量/时长字段，用于统计与计量）。     【ODS来源】group_buy_redemption_records - promotion_seconds。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - promotion_seconds。",
      "ordinal_position": 18
    },
    {
      "name": "coupon_code",
      "data_type": "character varying",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】明细字段，用于记录事实取值。     【示例】0107892475999（明细字段，用于记录事实取值）。     【ODS来源】group_buy_redemption_records - coupon_code。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - coupon_code。",
      "ordinal_position": 19
    },
    {
      "name": "is_single_order",
      "data_type": "integer",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】布尔/开关字段，用于表示是否/可用性等业务开关。     【示例】1（布尔/开关字段，用于表示是否/可用性等业务开关）。     【ODS来源】group_buy_redemption_records - is_single_order。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - is_single_order。",
      "ordinal_position": 20
    },
    {
      "name": "is_delete",
      "data_type": "integer",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】布尔/开关字段，用于表示是否/可用性等业务开关。     【示例】0（布尔/开关字段，用于表示是否/可用性等业务开关）。     【ODS来源】group_buy_redemption_records - is_delete。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - is_delete。",
      "ordinal_position": 21
    },
    {
      "name": "ledger_name",
      "data_type": "character varying",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】名称字段，用于展示与辅助识别。     【示例】全天A区中八一小时（名称字段，用于展示与辅助识别）。     【ODS来源】group_buy_redemption_records - ledger_name。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - ledger_name。",
      "ordinal_position": 22
    },
    {
      "name": "create_time",
      "data_type": "timestamp with time zone",
      "is_nullable": true,
      "column_default": null,
      "comment": "【说明】时间/日期字段，用于记录业务时间与统计口径对齐。     【示例】2025-11-09 23:35:57（时间/日期字段，用于记录业务时间与统计口径对齐）。     【ODS来源】group_buy_redemption_records - create_time。     【JSON字段】group_buy_redemption_records.json - data.siteTableUseDetailsList - create_time。",
      "ordinal_position": 23
    },
    {
      "name": "member_discount_money",
      "data_type": "numeric",
      "is_nullable": true,
      "column_default": null,
      "comment": null,
      "ordinal_position": 24
    },
    {
      "name": "coupon_sale_id",
      "data_type": "bigint",
      "is_nullable": true,
      "column_default": null,
      "comment": null,
      "ordinal_position": 25
    }
  ]
}